#ifndef __iup_pplot_bi__
#define __iup_pplot_bi__

' see copyright notice at the file iup.txt

#ifdef __FB_WIN32__
# ifndef IUP_DLL
#  error iup_pplot must be linked dynamic define IUP_DLL
# endif
#else
error platform must be windows
#endif


#include once "iup.bi"
#include once "iupcd.bi"



#inclib "iup_pplot"

extern "c"

' Initialize PPlot widget class
_DS_ IupPPlotOpen ()
' Create an PPlot widget instance
_DF_ IupPPlot () as Ihandle ptr

#ifndef IUP_PLOT_API
#define IUP_PLOT_API
_DS_ IupPlotBegin          (ih as Ihandle ptr, strXdata as integer)
_DS_ IupPlotAdd            (ih as Ihandle ptr, x as single, y as single)
_DS_ IupPlotAddStr         (ih as Ihandle ptr, x as zstring ptr, y as single)
_DF_ IupPlotEnd            (ih as Ihandle ptr) as integer
_DS_ IupPlotInsertStr      (ih as Ihandle ptr, index as integer, sample_index as integer, x as zstring ptr, y as single)
_DS_ IupPlotInsert         (ih as Ihandle ptr, index as integer, sample_index as integer, x as single, y as single)
_DS_ IupPlotInsertStrPoints(ih as Ihandle ptr, index as integer, sample_index as integer, x as const zstring ptr ptr, y as single ptr, count as integer)
_DS_ IupPlotInsertPoints   (ih as Ihandle ptr, index as integer, sample_index as integer, x as single ptr, y as single ptr, count as integer)
_DS_ IupPlotAddPoints      (ih as Ihandle ptr, index as integer, x as single ptr, y as single ptr, count as integer)
_DS_ IupPlotAddStrPoints   (ih as Ihandle ptr, index as integer, x as const zstring ptr ptr, y as single ptr, count as integer)
_DS_ IupPlotTransform      (ih as Ihandle ptr, x as single, y as single, ix as integer ptr, iy as integer ptr)
_DS_ IupPlotPaintTo        (ih as Ihandle ptr, cnv as any ptr)
#endif

' Deprecated 
_DS_ IupPPlotBegin          (ih as Ihandle ptr, strXdata as integer)
_DS_ IupPPlotAdd            (ih as Ihandle ptr, x as single, y as single)
_DS_ IupPPlotAddStr         (ih as Ihandle ptr, x as zstring ptr, y as single)
_DF_ IupPPlotEnd            (ih as Ihandle ptr) as integer
_DS_ IupPPlotInsertStr      (ih as Ihandle ptr, index as integer, sample_index as integer, x as zstring ptr, y as single)
_DS_ IupPPlotInsert         (ih as Ihandle ptr, index as integer, sample_index as integer, x as single, y as single)
_DS_ IupPPlotInsertStrPoints(ih as Ihandle ptr, index as integer, sample_index as integer, x as const zstring ptr ptr, y as single ptr, count as integer)
_DS_ IupPPlotInsertPoints   (ih as Ihandle ptr, index as integer, sample_index as integer, x as single ptr, y as single ptr, count as integer)
_DS_ IupPPlotAddPoints      (ih as Ihandle ptr, index as integer, x as single ptr, y as single ptr, count as integer)
_DS_ IupPPlotAddStrPoints   (ih as Ihandle ptr, index as integer, x as const zstring ptr ptr, y as single ptr, count as integer)
_DS_ IupPPlotTransform      (ih as Ihandle ptr, x as single, y as single, ix as integer ptr, iy as integer ptr)
_DS_ IupPPlotPaintTo        (ih as Ihandle ptr, cnv as any ptr)
'/***********************************************/

end extern

#endif

