#include once "fltk-c.bi"

sub AdjusterCB cdecl (self as Fl_Widget ptr, box as any ptr)
  dim as const zstring ptr tmp = Fl_WidgetGetLabel(box)
  dim as       zstring ptr label = cast(any ptr,tmp)
  Fl_ValuatorFormat cptr(Fl_Valuator ptr,self),label
  Fl_WidgetRedraw box
end sub

'
' main
'
dim as string * 128 buf1
dim as string * 128 buf2

var win = Fl_Double_WindowNew(400,100,"click adjusters and drag")

var b1 = Fl_BoxNew2(FL_DOWN_BOX,20,30,80,25,buf1) : Fl_WidgetSetColor b1,FL_WHITE
var a1 = Fl_AdjusterNew(30+80,30,3*25,25)
Fl_WidgetSetCallbackArg a1,@AdjusterCB,b1 : AdjusterCB a1,b1

var b2 = Fl_BoxNew2(FL_DOWN_BOX,50+80+4*25,30,80,25,buf2) : Fl_WidgetSetColor b2,FL_WHITE
var a2 = Fl_AdjusterNew(10+Fl_WidgetGetX(b2)+Fl_WidgetGetW(b2),10,25,3*25)
Fl_WidgetSetCallbackArg a2,@AdjusterCB,b2 : AdjusterCB a2,b2

Fl_WindowShow win
Fl_Run
