#ifndef __IUP_ASSERT_BI__
#define __IUP_ASSERT_BI__

#include once "iup.bi"

extern "c"
_DS_ iupAssert(expr as const zstring ptr, file as const zstring ptr, line_ as integer, func as const zstring ptr)
_DS_ iupError(format_ as const zstring ptr, ...)
end extern

#ifdef __FUNCTION__
#define iupASSERT_(_expr) (iif((_expr,0, iupAssert(#_expr, __FILE__, __LINE__, __FUNCTION__))
#else
#define iupASSERT_(_expr) (iif(_expr),0, iupAssert(#_expr, __FILE__, __LINE__, NULL))
#endif

#define iupERROR_(_msg) iupError(_msg)
#define iupERROR1_(_msg, _p1) iupError(_msg, _p1)
#define iupERROR2_(_msg, _p1, _p2) iupError(_msg, _p1, _p2)


#endif ' __IUP_ASSERT_BI__
