#include once "fltk-c.bi"

'test of:
' Fl_Double_WindowNew
' DrawSetRGBColor
' DrawSetColor
' DrawYXLine
' DrawXYLine
' DrawSetLineStyle
' DrawRect

function DrawCB cdecl (self as any ptr) as integer
  dim as integer x  =  Fl_WidgetGetX(self)
  dim as integer y  =  Fl_WidgetGetY(self)
  dim as integer x2 =x+Fl_WidgetGetW(self)
  dim as integer y2 =y+Fl_WidgetGetH(self)

  DrawSetRGBColor 255,0,0
  for xx as integer = x to x2 step 30
    DrawYXLine xx,y,y2
  next
  DrawSetColor FL_BLUE
  for yy as integer = y to y2 step 30
    DrawXYLine x,yy,x2
  next
  DrawSetColor FL_GREEN
  DrawSetLineStyle FL_SOLID or FL_CAP_ROUND,3
  DrawRect(x,y,x2-x,y2-y)
  return 1
end function

'
' main
'
' for drawing it's a good idea to use a flicker free double buffered window
var win = Fl_Double_WindowNew(640,480,"Drawing01.bas resize me ...")
var box = Fl_BoxExNew(5,5,Fl_WidgetGetW(win)-10,Fl_WidgetGetH(win)-10)
Fl_BoxExSetDrawCB box,@DrawCB
Fl_GroupSetResizable win,box
Fl_WindowShow win
Fl_Run
