#include once "fltk-c.bi"

'test of:
' DrawSetFont
' DrawStr
' DrawStrRot

function DrawCB cdecl (self as any ptr) as integer
  dim as integer w =Fl_WidgetGetW(self)
  dim as integer h =Fl_WidgetGetH(self)
  dim as integer deg = 180
  for font as integer = 0 to 15
    dim as integer size=6+rnd*70
    DrawSetFont font,size
    for i as integer = 0 to 1
      DrawSetRGBColor rnd*255,rnd*255,rnd*255
      dim as integer x=rnd*w
      dim as integer y=rnd*h
      if i and 1 then
        DrawStr "DrawStr()",x,y
      else
        DrawStrRot deg,"DrawStrRot()",x,y
        deg+=5
      end if
    next
  next
  return 1
end function
'
' main
'
' for drawing it's a good idea to use a flicker free double buffered window
dim as Fl_Window ptr win = Fl_Double_WindowNew(640,480,"Drawing02.bas resize me ...")
dim as Fl_BoxEx  ptr box = Fl_BoxExNew(5,5,630,470)
Fl_BoxExSetDrawCB box,@DrawCB
Fl_GroupSetResizable win,box
Fl_WindowShow win
Fl_Run
