#include once "fltk-c.bi"

'test of:
' Fl_WindowShown()
' Fl_WindowMakeCurrent()
' Fl_Wait2()

sub DrawMe(win as Fl_Window ptr)
  static as integer gfxPrimitive=0
  ' get dimension of the window
  dim as integer x,y,w =Fl_WidgetGetW(win)
  dim as integer r,h =Fl_WidgetGetH(win)
  ' select the window as curent drawing target
  Fl_WindowMakeCurrent win
  ' from here you can use any DrawXYZ commands take a look at "fltk-c.bi"
  DrawRectFillColor 0,0,w,h,FL_WHITE
  for i as integer = 1 to 10
    DrawSetRGBColor rnd*255,rnd*255,rnd*255
    select case gfxPrimitive
    case 0 : DrawPoint rnd*w,rnd*h
    case 1 : DrawLine  rnd*w,rnd*h, rnd*w,rnd*h
    case 2 : DrawRect  rnd*w,rnd*h, rnd*w,rnd*h
    case 3 : r=rnd*h/2:DrawArc rnd*w,rnd*h, r,r, 0,360 ' circle
    case 4 : DrawRectFill rnd*w,rnd*h, rnd*w,rnd*h
    case 5 : dim as integer bt=1+rnd*15 
             DrawBox bt, rnd*w,rnd*h, rnd*w,rnd*h, Fl_RGB_Color(rnd*255,rnd*255,rnd*255)
    case 6 : DrawArc rnd*w,rnd*h, rnd*w,rnd*h, 0,360 ' oval
    end select
  next
  gfxPrimitive=(gfxPrimitive+1) mod 7
end sub
'
' main
'
var win = Fl_WindowNew(640,480,"Drawing03.bas")
Fl_WindowShow win
while Fl_WindowShown(win)
  ' wait for any event with a timeout value
  var t = Fl_Wait2(0.05)
  DrawMe win
wend
