#include once "fltk-c.bi"

' test of 8 bit drawing

#ifndef Fl_Cube_Color
' Returns the FLTK Color cube value
function Fl_Cube_Color(r as ubyte,g as ubyte,b as ubyte) as FL_COLOR
  dim as FL_COLOR c=iif(b>4,4,b)
  if c then c*= FL_NUM_RED
  c+=iif(r>4,4,r)
  if c then c*= FL_NUM_GREEN
  c+=iif(g>7,7,g)
  return FL_COLOR_CUBE + c
end function
#endif

function DrawCB cdecl (self as any ptr) as integer
  print "DrawCB"
  for y as integer = 0 to 15
    for x as integer = 0 to 15
      DrawSetColor Fl_Cube_Color(x mod 5,(x+y) mod 8,y mod 5)
      DrawRectFill x*16,y*16,16,16
    next
  next
  return 1
end function


'
' main
'
var win = Fl_WindowExNew(255,255,"Drawing05.bas")
Fl_WindowExSetDrawCB win,@DrawCB
Fl_WindowShow win
Fl_Run
