#include once "fltk-c.bi"

' test of:
' Fl_WindowMakeCurrent() http://www.fltk.org/doc-1.3/classFl__Window.html#a65a2499309b3fdd1bed463cefa0cd1e2

sub TimeoutHandler cdecl (win as any ptr)
  static as single sx=13
  static as single sy=15
  static as single x=320
  static as single y=240
  static as single w=0 
  ' set our window as drawing target
  Fl_WindowMakeCurrent win
  dim as ubyte r=127.5+cos(w)*127
  dim as ubyte g=127.5+sin(w)*127
  dim as ubyte b=127.5+cos(w+3.14)*127
  DrawSetColor Fl_RGB_Color(r,g,b)
  DrawRectFill x,y,32,32
  x+=sx : if x<1 or x>Fl_WidgetGetW(win)-16 then sx*=-1
  y+=sy : if y<1 or y>Fl_WidgetGetH(win)-16 then sy*=-1
  w+=0.01
  Fl_RepeatTimeout(0.01, @TimeoutHandler,win)
end sub

'
' main
'
var win = Fl_WindowNew(640,480,"Drawing06.bas")
Fl_WindowShow win
Fl_AddTimeout 0.5, @TimeoutHandler,win
Fl_Run
