#include once "fltk-c.bi"

' test of:

' flFilenameExpand
' Fl_WidgetSetType
' Fl_WidgetSetCallbackArg
' Fl_File_BrowserNew
' Fl_File_BrowserLoad
' Fl_BrowserGetValue
' Fl_BrowserGetText 


#ifdef __FB_WIN32__
const PATH = "$USERPROFILE"
#else
const PATH = "$HOME"
#endif

dim shared as zstring ptr UserPath
UserPath = callocate(FL_MAX_PATH)
flFilenameExpand(UserPath,FL_MAX_PATH,PATH)

sub Callback cdecl (widget as FL_WIDGET ptr, pUserData as any ptr)
  dim as FL_FILE_BROWSER ptr fbr = pUserData
  dim as integer SelectedLine = Fl_BrowserGetValue(fbr)
  print *Fl_BrowserGetText(fbr,SelectedLine)
end sub

dim as FL_WINDOW       ptr win = Fl_WindowNew(300,300)
dim as Fl_FILE_BROWSER ptr fbr = Fl_File_BrowserNew(10,10,280,280)

Fl_WidgetSetType           fbr,FL_HOLDBROWSER
Fl_WidgetSetCallbackArg    fbr,@Callback,fbr
Fl_Browser_SetHasScrollbar fbr,FL_SCROLL_VERTICAL
Fl_File_BrowserLoad        fbr,UserPath
delete UserPath

Fl_WindowShow win
Fl_Run


