#include once "fltk-c.bi"

'test of:
' Fl_Text_DisplayHighlightData http://www.fltk.org/doc-1.3/classFl__Text__Display.html#ae09d61739b737a32868ffe0295a25dec

dim as Style_Table_Entry StyleTable(...) => _
{ (FL_BLUE      ,FL_COURIER,12)           , _ ' style 'A'
  (FL_DARK_RED  ,Fl_COURIER_ITALIC,12)    , _ ' style 'B'
  (Fl_DARK_GREEN,Fl_COURIER_BOLD_ITALIC,12) _ ' style 'C'
}  

dim as Fl_Window      ptr win = Fl_WindowNew(320,240, "Fl_Text_Editor02")
dim as Fl_Text_Buffer ptr CharBuffer = Fl_Text_BufferNew()
dim as Fl_Text_Buffer ptr StyleBuffer = Fl_Text_BufferNew()
dim as Fl_Text_Editor ptr edt = Fl_Text_EditorNew(10,10,Fl_WidgetGetW(win)-20,Fl_WidgetGetH(win)-20)
Fl_Text_DisplaySetBuffer edt,CharBuffer
Fl_Text_DisplayHighlightData edt,StyleBuffer,@StyleTable(0),3

Fl_Text_BufferSetText CharBuffer ,!"print \"hello world\" ' comment"
Fl_Text_BufferSetText StyleBuffer,"AAAAA BBBBBBBBBBBBB CCCCCCCCC"

Fl_GroupSetResizable win,edt
Fl_WindowShow win
Fl_Run
