#include once "fltk-c.bi"
sub TreeCB cdecl (widget as Fl_Widget ptr, tree as any ptr)
  Fl_TreeSetConnectorColor tree,Fl_RGB_Color(rnd*255,rnd*255,rnd*255)
  Fl_TreeSetConnectorStyle tree,cast(Fl_Tree_Connector,int(rnd*3))
  Fl_TreeSetSelectBox      tree,cast(FL_Boxtype,1+int(rnd*35))

  var item = Fl_TreeGetCallbackItem(tree)
  if item=0 then return

  item = Fl_TreeNext(tree,item)
  while item
    item->_labelfont   =   rnd*14
    item->_labelsize   =12+rnd*20
    dim as ubyte r=rnd*255, g=rnd*255, b=rnd*255
    item->_labelfgcolor=Fl_RGB_Color(r,g,b)
    item->_labelbgcolor=Fl_RGB_Color(255-r,255-g,255-b)
    item = Fl_TreeNext(tree,item)
  wend
end sub
'
' main
'
Fl_Background 128,128,128


var win  = Fl_Double_WindowNew(200,600, "for ike")
var tree = Fl_TreeNew(10,10,180,580)
Fl_TreeSetShowRoot tree,0 ' don't show root of tree
dim as integer root,parent,child
for i as integer=1 to 20
  if rnd<0.5 then
    root+=1:child=1
  elseif rnd<0.5 then
    parent+=1:child=1
  else
    child+=1
  end if
  Fl_TreeAdd tree,"root" & root & "/parent" & parent & "/ Item" & child
next
Fl_WidgetSetCallbackArg tree,@TreeCB,tree
Fl_GroupSetResizable win,tree
Fl_WindowShow win
Fl_Run
