#include once "fltk-c.bi"

'test of user defined widget
' Fl_WidgetExNew
' Fl_WidgetExSetDrawCB
' Fl_WidgetExSetHandleCB

function myWidgetDrawCB cdecl (me as any ptr) as integer
  print "DrawCB"
  var x = Fl_WidgetGetX(me)
  var y = Fl_WidgetGetY(me)
  var w = Fl_WidgetGetW(me)
  var h = Fl_WidgetGetH(me)
  DrawSetFont Fl_HELVETICA_BOLD,32
  'DrawPushClip x,y,w,h
  DrawRectFillRGBColor x,y,w,h, rnd*255,rnd*255,rnd*255
  DrawSetRGBColor rnd*255,rnd*255,rnd*255 : DrawStr "myWidget",20,40
  'DrawPopClip
  return 1
end function

function myWidgetResizeCB cdecl (me as any ptr, x as integer,y as integer,w as integer,h as integer) as integer
  print "ResizeCB " & x & "," & y & "," & w & "," & h
  return 0
end function

function myWidgetHandleCB cdecl (me as any ptr, event as FL_EVENT) as integer
  select case as const event
  case FL_EVENT_ENTER : Fl_WindowCursor Fl_WidgetWindow(me),FL_CURSOR_CROSS   : return 1
  case FL_EVENT_LEAVE : Fl_WindowCursor Fl_WidgetWindow(me),FL_CURSOR_DEFAULT : return 1
  case FL_EVENT_FOCUS : Fl_WidgetRedraw me                                    : return 1
  case else     : print "HandleCB " & EventAsString(event)              : return 0
  end select
end function
'
' main
'
dim as FL_DOUBLE_WINDOW ptr win = Fl_Double_WindowNew(320,200,"Fl_WidgetEx")
dim as FL_WIDGETEX ptr myWidget = Fl_WidgetExNew(10,10,300,180)
Fl_WidgetExSetDrawCB   myWidget,@myWidgetDrawCB
Fl_WidgetExSetResizeCB myWidget,@myWidgetResizeCB
Fl_WidgetExSetHandleCB myWidget,@myWidgetHandleCB

Fl_GroupSetResizable win,myWidget
Fl_WindowShow win
Fl_Run

