#ifndef __fltk_tools_bi__
#define __fltk_tools_bi__

#include once "fltk-c.bi"

' Draw a single pixel at the given coordinates with current color.
sub DrawPointColor(x as integer, y as integer,c as Fl_color)
  DrawSetColor c :DrawPoint x,y
end sub
sub DrawPointRGBColor(x as integer, y as integer,r as ubyte, g as ubyte, b as ubyte)
  DrawPointColor x,y,Fl_RGB_Color(r,g,b)
end sub
' Draw a 1-pixel border inside this bounding box.
sub DrawRectRGBColor(x as integer, y as integer, w as integer, h as integer, r as ubyte, g as ubyte, b as ubyte)
  DrawRectColor x,y,w,h,Fl_RGB_Color(r,g,b)
end sub
' Draws a box using given type, position, size and color. 
sub DrawBoxRGBColor(bt as Fl_Boxtype, x as integer, y as integer, w as integer, h as integer, r as ubyte, g as ubyte, b as ubyte)
  DrawBox bt,x,y,w,h,Fl_RGB_Color(r,g,b)
end sub

#endif ' __fltk_tools_bi__
