#include once "window9.bi"
#include once "win/commctrl.bi"

#include "D:\Freebasic\fbedit\Inc\Addins.bi"

#include "HelpAddin.bi"
Dim Shared As String MainpathHelp
MainpathHelp= GetCurentDir() & "\Help\"
' Returns info on what messages the addin hooks into (in an ADDINHOOKS type).
function InstallDll CDECL alias "InstallDll" (byval hWin as HWND,byval hInst as HINSTANCE) as ADDINHOOKS ptr EXPORT

	' Dll's instance
	hInstance=hInst
	' Get pointer to ADDINHANDLES
	lpHandles=Cast(ADDINHANDLES ptr,SendMessage(hWin,AIM_GETHANDLES,0,0))
	' Get pointer to ADDINDATA
	lpData=Cast(ADDINDATA ptr,SendMessage(hWin,AIM_GETDATA,0,0))
	' Get pointer to ADDINFUNCTIONS
	lpFunctions=Cast(ADDINFUNCTIONS ptr,SendMessage(hWin,AIM_GETFUNCTIONS,0,0))
	' Messages this addin will hook into
	hooks.hook1=HOOK_COMMAND
	hooks.hook2=0
	hooks.hook3=0
	hooks.hook4=0
	return @hooks

end function

' FbEdit calls this function for every addin message that this addin is hooked into.
' Returning TRUE will prevent FbEdit and other addins from processing the message.
function DllFunction CDECL alias "DllFunction" (byval hWin as HWND,byval uMsg as UINT,byval wParam as WPARAM,byval lParam as LPARAM) as bool EXPORT
	dim wrd as zstring*512

	select case uMsg
		case AIM_COMMAND
			' Did user press F1?
			if loword(wParam)=IDM_HELPF1 then
				' Is there an open edit window?
				if lpHandles->hred<>0 and lpHandles->hred<>lpHandles->hres then
					' Get word under caret.
					SendMessage(lpHandles->hred,REM_GETWORD,SizeOf(wrd),Cast(LPARAM,@wrd))
					' Is word in the fb keyword list?
					if instr(fbwords," " & lcase(wrd) & " ") then
						' Show fb.chm
						Var temppath=MainpathHelp & "FB1.chm"
						Var temppath1=MainpathHelp & "FB.chm"
						CopyFile(StrPtr(temppath),StrPtr(temppath1),0)
						SendMessage(lpHandles->hwnd,WM_COMMAND,IDM_HELPCTRLF1,0)
						return TRUE
					Else
						If InStr(lcase(WINDOW9_1),lcase(wrd)) Or _
							instr(lcase(WINDOW9_2),lcase(wrd)) Or _
							instr(lcase(WINDOW9_3),lcase(wrd)) Or _
							instr(lcase(WINDOW9_4),lcase(wrd)) Or _
							instr(lcase(WINDOW9_5),lcase(wrd)) Or _
							instr(lcase(WINDOW9_6),lcase(wrd)) Or _
							instr(lcase(WINDOW9_7),lcase(wrd)) Or _
							instr(lcase(WINDOW9_8),lcase(wrd)) Or _
							instr(lcase(WINDOW9_9),lcase(wrd)) Or _
							instr(lcase(WINDOW9_10),lcase(wrd)) Or _
							instr(lcase(WINDOW9_11),lcase(wrd)) Or _
							instr(lcase(WINDOW9_12),lcase(wrd)) Or _
							instr(lcase(WINDOW9_13),lcase(wrd)) Or _
							instr(lcase(WINDOW9_14),lcase(wrd)) Then
							Var temppath=MainpathHelp & "helpWindow9.chm"
							Var temppath1=MainpathHelp & "FB.chm"
							CopyFile(StrPtr(temppath),StrPtr(temppath1),0)
							SendMessage(lpHandles->hwnd,WM_COMMAND,IDM_HELPCTRLF1,0)
							return TRUE
						EndIf
					endif
				endif
			endif
			'
	end select
	return FALSE

end function

